app_calon/urls.py
from django.conf.urls import url
from .views import index, daftar, insertDaftar, daftar
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^pendafaran/$', daftar, name='pendafaran'),
    url(r'^insert', insertDaftar, name='insertDaftar'),
    url(r'^daftar', daftar, name='daftar')
]

app_login/urls.py
from django.conf.urls import url
from .views import index, auth_login, auth_logout
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^auth_login/$', auth_login, name="auth_login"),
    url(r'^auth_logout/$', auth_logout, name="auth_logout"),
]

app_skema_beasiswa/urls.py
from django.conf.urls import url
from .views import *

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_form_paket/$', add_form_paket, name='add_form_paket'),
    url(r'^add_paket/$', add_paket, name='add_paket'),
    url(r'^add_skemabeasiswa', add_skemabeasiswa, name='add_skemabeasiswa'),
    url(r'^add_paketbeasiswa', add_paketbeasiswa, name='add_paketbeasiswa'),
]

simbion20/urls.py
from django.conf.urls import url
from django.conf.urls import include
from django.contrib import admin
from django.conf.urls import include
import app_calon.urls as app_calon
import app_skema_beasiswa.urls as app_skema_beasiswa
import app_info_beasiswa.urls as app_info_beasiswa
import app_seleksi.urls as app_seleksi
import app_login.urls as app_login
import app_detail.urls as app_detail
import app_register.urls as app_register
from django.views.generic import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^app-calon/', include(app_calon,namespace='app-calon')),
    url(r'^app-seleksi/', include(app_seleksi,namespace='app-seleksi')),
    url(r'^app-skema-beasiswa/', include(app_skema_beasiswa,namespace='app-skema-beasiswa')),
    url(r'^app-info-beasiswa/', include(app_info_beasiswa,namespace='app-info-beasiswa')),
    url(r'^app-login/', include(app_login,namespace='app-login')),
    url(r'^app-detail/', include(app_detail,namespace='app-detail')),
    url(r'^app-register/', include(app_register,namespace='app-register')),
    url(r'^$', RedirectView.as_view(url='/app-info-beasiswa/', permanent=True), name='redirect_landing_page'),
]

app_skema_beasiswa/models.py
from django.db import models

# Create your models here.

app_skema_beasiswa/forms.py
from django import forms
from app_info_beasiswa.models import *

class MyModelChoiceField(forms.ModelChoiceField):
    def label_from_instance(self, obj):
        text = str(obj.kode)
        return text

class DaftarPaket(forms.Form):
    error_messages = {
        'required': 'Please input',
    }

    no_urut = {
        'type':'text',
        'class': 'form-control',
        'placeholder': 'Enter no urut'
    }

    tgl_mulai_daftar = {
        'type':'date',
        'class': 'form-control',
        'placeholder': 'yyyy-mm-dd'
    }

    tgl_tutup_daftar = {
        'type':'date',
        'class': 'form-control',
        'placeholder': 'yyyy-mm-dd'
    }   

    kode_skema_beasiswa = MyModelChoiceField(queryset=SkemaBeasiswa.objects.order_by('kode')
        ,empty_label="Select Kode Skema Beasiswa", label='Kode Skema', required=True, widget=forms.Select(attrs={'class':'form-control'}))
    no_urut = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=no_urut))
    tgl_mulai_daftar = forms.DateTimeField(label='', required=True, widget=forms.DateInput(tgl_mulai_daftar))
    tgl_tutup_daftar = forms.DateTimeField(label='', required=True, widget=forms.DateInput(tgl_tutup_daftar))

class Todo_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    kode_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan kode...'
    }
    namabeasiswa_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan nama beasiswa...'
    }
    jenisbeasiswa_choices = [
        ('beasiswa prestasi akademik', 'Beasiswa Prestasi Akademik'),
        ('beasiswa bantuan belajar', 'Beasiswa Bantuan Belajar'),
        ('beasiswa tugas akhir', 'Beasiswa Tugas Akhir'),
        ]
    deskripsi_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan deskripsi...'
    }
    syaratbeasiswa_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan syarat beasiswa...'
    }

    kode = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=kode_attrs))
    namabeasiswa = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=namabeasiswa_attrs))
    jenisbeasiswa = forms.CharField(label='', required=True, widget=forms.Select(choices = jenisbeasiswa_choices))
    deskripsi = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=deskripsi_attrs))
    syaratbeasiswa = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=syaratbeasiswa_attrs))

app_skema_beasiswa/views.py
from django.shortcuts import render
from django.http import HttpResponse, HttpResponseRedirect, JsonResponse
from django.views.decorators.csrf import csrf_exempt
from django.db import connection
from app_info_beasiswa.models import SkemaBeasiswa, SkemaBeasiswaAktif, SyaratBeasiswa
from .forms import *
import datetime


# Create your views here.
response = {}
def index(request):
	response['skema_beasiswa'] = SkemaBeasiswa.objects.raw('SELECT * FROM skema_beasiswa')
	html = 'app_skema_beasiswa.html'
	return render(request, html, response)

def add_form_paket(request):
	response['todo_form'] = Todo_Form
	html = 'app_form_paket.html'
	return render(request, html, response)

def add_paket(request):
	html = 'app_tambah_paket.html'
	response['daftar_paket'] = DaftarPaket
	return render(request, html, response)

@csrf_exempt
def add_skemabeasiswa(request):
	form = Todo_Form(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		cursor = connection.cursor()
		kode = request.POST['kode']
		namabeasiswa = request.POST['namabeasiswa']
		jenisbeasiswa = request.POST['jenisbeasiswa']
		deskripsi = request.POST['deskripsi']
		syaratbeasiswa = request.POST['syaratbeasiswa']
		no_identitas = 2;

		query_insert = "INSERT INTO skema_beasiswa (kode,nama,jenis,deskripsi,nomor_identitas_donatur) VALUES (%d, '%s', '%s', '%s', %d)" %\
		(int(kode), namabeasiswa, jenisbeasiswa, deskripsi, int(no_identitas))
		cursor.execute(query_insert)
		query_insert_lagi = "INSERT INTO syarat_beasiswa (kode_beasiswa,syarat) VALUES (%d, '%s')" %\
		(int(kode), syaratbeasiswa)
		cursor.execute(query_insert_lagi)
		cursor.close()

		'''todo = SkemaBeasiswa(kode=kode,nama=namabeasiswa,jenis=jenisbeasiswa,deskripsi=deskripsi,nomor_identitas_donatur='1')
		todo.save()
		messages.success(request, "New Skema Beasiswa!")'''
		return HttpResponseRedirect('/app-skema-beasiswa/')
	else:
		return HttpResponseRedirect('/app-skema-beasiswa/')

@csrf_exempt
def add_paketbeasiswa(request):
	form = DaftarPaket(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		cursor = connection.cursor()
		kode_skema_beasiswa = request.POST['kode_skema_beasiswa']
		no_urut = request.POST['no_urut']
		tgl_mulai_daftar = request.POST['tgl_mulai_daftar']
		tgl_tutup_daftar = request.POST['tgl_tutup_daftar']

		now = datetime.datetime.now()
		waktu_skrg = now.strftime("%Y-%m-%d")
		print(waktu_skrg)

		status = "ditutup"

		if tgl_tutup_daftar > waktu_skrg:
			status="dibuka"
		query_insert = "INSERT INTO skema_beasiswa_aktif (kode_skema_beasiswa,no_urut,tgl_mulai_pendaftaran,tgl_tutup_pendaftaran,periode_penerimaan,status,jumlah_pendaftar) VALUES (%d, %d, '%s', '%s', 'April - Juni 2018', '%s', 0)" %\
		(int(kode_skema_beasiswa), int(no_urut), tgl_mulai_daftar, tgl_tutup_daftar, status)
		cursor.execute(query_insert)
		cursor.close()

		return HttpResponseRedirect('/app-skema-beasiswa/')
	else:
		return HttpResponseRedirect('/app-skema-beasiswa/')

app_skema_beasiswa/templates/app_skema_beasiswa/partials/footer.html
<div class="py-5 bg-dark text-white" >
    <div class="container">
      <div class="row">
        <div class="col-md-9">
          <p class="lead">
            <b>Follow our platform</b>
          </p>
          <form class="form-inline">
            <div class="form-group">
              <input type="email" class="form-control" placeholder="Your e-mail here"> </div>
            <button type="submit" class="btn btn-primary ml-3">
              <b>Submit</b>
            </button>
          </form>
        </div>
        <div class="col-4 col-md-1 align-self-center">
          <a href="https://www.facebook.com" target="_blank">
            <i class="fa fa-fw fa-facebook fa-3x text-white"></i>
          </a>
        </div>
        <div class="col-4 col-md-1 align-self-center">
          <a href="https://twitter.com" target="_blank">
            <i class="fa fa-fw fa-twitter fa-3x text-white"></i>
          </a>
        </div>
        <div class="col-4 col-md-1 align-self-center">
          <a href="https://www.instagram.com" target="_blank">
            <i class="fa fa-fw fa-instagram text-white fa-3x"></i>
          </a>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 mt-3 text-center">
          <p>
            <b>© Copyright SIMBION 20</b>
          </p>
        </div>
      </div>
    </div>
  </div>

app_skema_beasiswa/templates/app_skema_beasiswa/partials/header.html
<nav class="navbar  navbar-static-top navbar-expand-md bg-primary navbar-dark" >
    <div class="container">
      <a class="navbar-brand" href="#">SIMBION</a>
      <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbar2SupportedContent">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse text-center justify-content-end" id="navbar2SupportedContent">
        <a class="btn navbar-btn btn-primary ml-2 text-white" href="{%url 'app-login:auth_logout'%}">
          <i class="fa d-inline fa-lg fa-user-circle-o"></i> Log Out </a>
        <li>
          <a class="text-light" href="{%url 'app-info-beasiswa:index'%}">Home</a>
        </li>
      </div>
    </div>
  </nav>